package com.ejie.ab63.model.nora;

/**
 * T17TipoVia  
 * 
 *  
 */

public class T17TipoVia implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String id;
	private String dsE;
	private String dsC;

	/**
	 * Method 'T17TipoVia'.
	 */
	public T17TipoVia() {
	}

	/**
	 * Method 'T17TipoVia'.
	 * 
	 * @param id
	 *            String
	 * @param dsE
	 *            String
	 * @param dsC
	 *            String
	 */
	public T17TipoVia(String id, String dsE, String dsC) {

		this.id = id;
		this.dsE = dsE;
		this.dsC = dsC;
	}

	/**
	 * Method 'getId'.
	 * 
	 * @return String
	 */

	public String getId() {
		return this.id;
	}

	/**
	 * Method 'setId'.
	 * 
	 * @param id
	 *            String
	 * @return
	 */

	public void setId(String id) {
		this.id = id;
	}

	/**
	 * Method 'getDsE'.
	 * 
	 * @return String
	 */

	public String getDsE() {
		return this.dsE;
	}

	/**
	 * Method 'setDsE'.
	 * 
	 * @param dsE
	 *            String
	 * @return
	 */

	public void setDsE(String dsE) {
		this.dsE = dsE;
	}

	/**
	 * Method 'getDsC'.
	 * 
	 * @return String
	 */

	public String getDsC() {
		return this.dsC;
	}

	/**
	 * Method 'setDsC'.
	 * 
	 * @param dsC
	 *            String
	 * @return
	 */

	public void setDsC(String dsC) {
		this.dsC = dsC;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override()
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ id: ").append(this.id).append(" ]");
		result.append(", [ dsE: ").append(this.dsE).append(" ]");
		result.append(", [ dsC: ").append(this.dsC).append(" ]");
		result.append("}");
		return result.toString();
	}

}
